## python-sdbus 0.14.1

=== docs/requirements.txt ===
# SPDX-License-Identifier: LGPL-2.1-or-later
# Copyright (C) 2023 igo95862
sphinx_rtd_theme

## python-sdbus 0.11.1

=== debian/changelog ===
python-sdbus (0.11.1-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:49:30 +0000

python-sdbus (0.11.1-2) unstable; urgency=medium

  * Mark the package as linux-any

 -- Luca Boccassi <bluca@debian.org>  Mon, 06 Nov 2023 21:38:03 +0000

python-sdbus (0.11.1-1) unstable; urgency=low

  * Initial release (Closes: #1055424).

 -- Luca Boccassi <bluca@debian.org>  Tue, 31 Oct 2023 00:34:08 +0000

=== debian/control ===
Source: python-sdbus
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luca Boccassi <bluca@debian.org>,
Build-Depends:
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libsystemd-dev,
 pkg-config,
 python3-all,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/python-sdbus/python-sdbus
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdbus
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sdbus.git

Package: python3-sdbus
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: modern Python D-Bus library
 Python-sdbus is the python D-Bus library that aim to use the modern features of
 Python. It is based on libsystemd's sd-bus.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: python3-tests
Restrictions: allow-stderr
Depends:
 dbus-daemon,
 python3-all:any,
 python3-sdbus,

## python-sdbus 0.12.0

=== debian/changelog ===
python-sdbus (0.12.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 Apr 2024 22:26:41 +0100

python-sdbus (0.12.0-1) unstable; urgency=medium

  * Fix Lintian warning about typo in description
  * Update upstream source from tag 'upstream/0.12.0'
  * Switch to pkgconf
  * Bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 14:38:33 +0100

python-sdbus (0.11.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Thu, 09 Nov 2023 11:49:46 +0000

## python-sdbus 0.13.0

=== debian/changelog ===
python-sdbus (0.13.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 05 Feb 2025 11:48:12 +0000

python-sdbus (0.13.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.13.0'
  * autopkgtest: add dependency on python3-jinja2

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Nov 2024 12:20:50 +0000

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  libsystemd-dev,
- pkg-config,
+ pkgconf,
  python3-all,
  python3-all-dev,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/python-sdbus/python-sdbus
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdbus
@@ -29,7 +29,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Description: modern Python D-Bus library
- Python-sdbus is the python D-Bus library that aim to use the modern features of
+ Python-sdbus is the Python D-Bus library that aim to use the modern features of
  Python. It is based on libsystemd's sd-bus.
  .
  This package installs the library for Python 3.

## python-sdbus 0.14.0

=== debian/changelog ===
python-sdbus (0.14.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Luca Boccassi <bluca@debian.org>  Sat, 12 Apr 2025 11:56:11 +0100

python-sdbus (0.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.14.0'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Mon, 07 Apr 2025 13:15:45 +0100

## python-sdbus 0.14.1

=== debian/changelog ===
python-sdbus (0.14.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.14.1'

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Sep 2025 00:45:08 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-sdbus/python-sdbus
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdbus

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=. python3 -m sphinx -b man docs docs/_build
	find docs/_build
endif
endif

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,4 @@
  dbus-daemon,
  python3-all:any,
  python3-sdbus,
+ python3-jinja2,

=== debian/watch ===
version=4
opts=uversionmangle=s/-rc/~rc/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-sdbus-$1\.tar\.gz/ \
  https://github.com/python-sdbus/python-sdbus/tags .*/v?(\d\S*)\.tar\.gz

## python-sdbus 0.14.2

=== debian/changelog ===
python-sdbus (0.14.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/0.14.2'
  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Dec 2025 13:53:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-sdbus
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luca Boccassi <bluca@debian.org>,
@@ -15,7 +14,7 @@
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://github.com/python-sdbus/python-sdbus
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sdbus
